Subject: f90.el --- indent-region errors

From: Joris Picot <[email-masked]>
Date: Wed, 27 May 2015 14:11:50 +0200

Hi,

I have trouble running M-x indent-region in whole Fortran programs with
some Fortran 2003 features such as the module enclosed with this mail.

I get the messages:

    END enum does not match module.
    END type does not match program.
    END module does not match program.

and my code is not indented correctly. I looked in the f90.el script,
but I can't get it to work.

Are you familiar with this problem? Do you have any workaround?

Best Regards,

-- 
Joris Picot
I2M – Trèfle